Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
Class RootLoaderRef

Sets the RootLoader as reference. Reexecution of this task will set a new instance of RootLoader for the reference. arguments:

- ref
- classpath

all arguments are requiered. As ant requieres an AntClassLoader as reference, this will create a RootLoader and set an AntClassLoader as child and stored in the reference. The AntClassLoader instance will not have a classpath nor will it have access to the classpath somehow, all loading is done by the RootLoader parent. To avoid problems with loading classes multiple times and using them at the same time, this task will filter out the ant jars and the commons-logging jars. This only works if the ant jars are starting with "ant-" and the logging jar starts with "commons-logging-". This was needed because if ant wants to access a task argument that uses for example a Path it look for a matching method which includes a matching class. But two classes of the same name with different classloaders are different, so ant would not be able to find the method.

see:
  RootLoader

author:
  Jochen Theodorou

version:
  $Revision: 6778 $

Field Summary
`String` | `name`
`Path` | `taskClasspath`

Constructor Summary
`RootLoaderRef()`

Method Summary
`Path` | `createClasspath()` Adds a path to the classpath.
`void` | `execute()`
`RootLoader` | `makeRoot()`
`void` | `setClasspath(Path classpath)` Set the classpath to be used for this compilation.
`void` | `setClasspathRef(Reference r)` Adds a reference to a classpath defined elsewhere.
`void` | `setRef(String n)` sets the name of the reference which should store the Loader

Constructor Detail

### RootLoaderRef

    RootLoaderRef()

Method Detail

### createClasspath

    public Path createClasspath()

  Adds a path to the classpath.
  return:
    a class path to be configured

### execute

    public void execute()

### makeRoot

    RootLoader makeRoot()

### setClasspath

    public void setClasspath(Path classpath)

  Set the classpath to be used for this compilation.
  param:
    classpath an Ant Path object containing the compilation classpath.

### setClasspathRef

    public void setClasspathRef(Reference r)

  Adds a reference to a classpath defined elsewhere.
  param:
    r a reference to a classpath

### setRef

    public void setRef(String n)

  sets the name of the reference which should store the Loader